# string::last-index-of

Returns the position of the last occurrence in the specified string of the given search string.

### Usage

`int string::last-index-of(source, value)`

### Parameters

Name | Type | Description
--- | --- | ---
source | string | The string to search.
value | string | The string to locate within source.

### Return Value

The highest-index position of value in source if it is found, or -1 if source does not contain value.

If value is an empty string, the return value is the last index position in source.

### Remarks

This function performs a case-sensitive word search using the invariant culture.

### Examples

-     string::last-index-of('testing string', 'test') ==> 0

-     string::last-index-of('testing string', '') ==> 13

-     string::last-index-of('testing string', 'Test') ==> -1

-     string::last-index-of('testing string', 'ing') ==> 11

### Requirements

Assembly: NAnt.Core (0.90.3780.0)